Name: mkbootdisk
Version: 1.2.9.5
Release: alt1
Serial: 1

Summary: Creates a standalone boot floppy disk for the running system
License: GPL
Group: System/Base
BuildArch: noarch

Source: %name-alt-%version.tar.bz2

Requires: mktemp >= 1:1.3.1, mkinitrd >= 1:2.8.6
Requires: gawk, /bin/getopt, /bin/tail

%description
%name creates a boot floppy disk appropriate for the running system.
The boot disk is entirely self-contained, and includes an initial ramdisk
image which loads any necessary modules (such as SCSI modules) for the system.
The created boot disk looks for the root filesystem on the device suggested
by /etc/fstab. The only required argument is the kernel version to put onto
the boot floppy.

%prep
%setup -q

%install
install -pD -m755 %name $RPM_BUILD_ROOT/sbin/%name
install -pD -m644 %name.8 $RPM_BUILD_ROOT%_man8dir/%name.8

%files
/sbin/*
%_man8dir/*

%changelog
* Mon Feb 10 2003 Dmitry V. Levin <ldv@altlinux.org> 1:1.2.9.5-alt1
- Call mkinitrd with --nobootsplash option.

* Wed Nov 06 2002 Dmitry V. Levin <ldv@altlinux.org> 1:1.2.9.4-alt1
- Minor scripting fixes.

* Sun Jan 20 2002 Dmitry V. Levin <ldv@alt-linux.org> 1:1.2.9.3-alt1
- Added "--debug" option for debug messages.
- Cleaned up script to avoid using /usr. 
- Updated dependencies.

* Fri Jan 18 2002 Dmitry V. Levin <ldv@alt-linux.org> 1:1.2.9.2-alt1
- Enabled "lba32" lilo option by default.
- Added "--nolba32" option.
- Switched to use plain text method.

* Tue Dec 25 2001 Dmitry V. Levin <ldv@alt-linux.org> 1:1.2.9.1-alt1
- Dropped witheth code; use "--mkinitrdargs=--with=-eth0" instead.

* Mon Dec 24 2001 Dmitry V. Levin <ldv@alt-linux.org> 1:1.2.9-alt1
- Regular mkbootdisk cleanup.
- Forked completely due to patch size.

* Fri Nov 23 2001 Dmitry V. Levin <ldv@alt-linux.org> 1.2.8-ipl7mdk
- Updated package requires.

* Fri Feb 09 2001 Dmitry V. Levin <ldv@fandra.org> 1.2.8-ipl6mdk
- Fixed typo, improved error handling.

* Fri Jan 12 2001 Dmitry V. Levin <ldv@fandra.org> 1.2.8-ipl5mdk
- Fixed manpage (syntax error in first line).

* Thu Jan 11 2001 Dmitry V. Levin <ldv@fandra.org> 1.2.8-ipl4mdk
- Fixed --appendargs.

* Sat Dec 16 2000 Dmitry V. Levin <ldv@fandra.org> 1.2.8-ipl3mdk
- Rewritten almost everything.

* Fri Aug 25 2000 Dmitry V. Levin <ldv@fandra.org> 1.2.8-ipl2mdk
- Merge in MDK patches.

* Wed Aug  2 2000 Dmitry V. Levin <ldv@fandra.org> 1.2.8-ipl1mdk
- RE and Fandra adaptions.

* Thu Jul 06 2000 Erik Troan <ewt@redhat.com>
- wasn't including ethernet devices properly

* Thu Jun  1 2000 Bill Nottingham <notting@redhat.com>
- conf.modules -> modules.conf, fhs stuff

* Mon May 01 2000 Erik Troan <ewt@redhat.com>
- patched to work with disk labels

* Thu Feb  3 2000 Matt Wilson <msw@redhat.com>
- gzip manpage

* Mon Jan 10 2000 Erik Troan <ewt@redhat.com>
- removed rescue stuff

* Mon Nov  8 1999 Matt Wilson <msw@redhat.com>
- removed 'prompt' from silo.conf

* Mon Oct 25 1999 Jakub Jelinek <jakub@redhat.com>
- fix sparc ramdisk making for new modutils and kernel
  file layout.

* Sat Sep 25 1999 Michael K. Johnson <johnsonm@redhat.com>
- ignore commented lines in fstab, generally more robust
  fstab parsing

* Sat Aug 21 1999 Bill Nottingham <notting@redhat.com>
- ditto

* Thu Aug 12 1999 Bill Nottingham <notting@redhat.com>
- add fix

* Tue May 25 1999 Matt Wilson <msw@redhat.com>
- added -P to the cp lines for devices to pick up parent directories
  for ida/ and rd/

* Wed Apr  7 1999 Matt Wilson <msw@redhat.com>
- pass load_ramdisk=2 as alan had to port his ramdisk hack from 2.0.x

* Mon Apr  5 1999 Matt Wilson <msw@redhat.com>
- pass load_ramdisk=1 for rescue image, as 2.2 kernels get this right

* Thu Mar 18 1999 Matt Wilson <msw@redhat.com>
- fixed misspelling in man page

* Thu Feb 25 1999 Matt Wilson <msw@redhat.com>
- updated the description

* Thu Nov  5 1998 Jeff Johnson <jbj@redhat.com>
- import from ultrapenguin 1.1.

* Fri Oct 30 1998 Jakub Jelinek <jj@ultra.linux.cz>
- support for SPARC

* Sat Aug 29 1998 Erik Troan <ewt@redhat.com>
- wasn't including nfs, isofs, or fat modules properly
- mkinitrd args weren't passed right due to a typo
